<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>enquiry_form</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content  fullscreen>
  <form #studentForm="ngForm" (ngSubmit)="SaveDetails()">
    
      <ion-list>
        <ion-title>
          <h5>Student Info</h5>
        </ion-title>
        
        <ion-item>
          <ion-label position="floating">First Name</ion-label>
          <ion-input type="text" [(ngModel)]="StudentDetails.FirstName" name="Firstname" required></ion-input>
        </ion-item>
        
        <ion-item>
          <ion-label position="floating">Last Name</ion-label>
          <ion-input type="text" [(ngModel)]="StudentDetails.LastName" name="Lastname"></ion-input>
        </ion-item>
      
        <ion-item>
          <ion-label>Date</ion-label>
          <ion-datetime displayFormat="MM/DD/YYYY" [(ngModel)]="StudentDetails.DateOfBirth" name="DOB"></ion-datetime>
        </ion-item>
        
      
        <ion-item>
          <ion-label>Gender</ion-label>
          <ion-select name="Sex" [(ngModel)]="StudentDetails.Sex">
            <ion-select-option value="Male">Male</ion-select-option>
            <ion-select-option value="Female">Female</ion-select-option>
          </ion-select>
        </ion-item>
        
        <ion-item>
          <ion-label>Address</ion-label>
          <ion-textarea [(ngModel)]="StudentDetails.CurrentAddress" placeholder="Address" name="address"></ion-textarea>
        </ion-item>
      </ion-list>
    
   
    
      <ion-list>
        <ion-title>
          <h5>Parent Info</h5>
        </ion-title>
        <hr>
        <ion-item>
          <ion-label>Father's Name: </ion-label>
          <ion-input type="text" [(ngModel)]="StudentDetails.FatherName" placeholder="Father's Name" name="fName" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Mother's Name: </ion-label>
          <ion-input type="text" [(ngModel)]="StudentDetails.MotherName" placeholder="Mother's Name" name="Mname" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Father's Contact: </ion-label>
          <ion-input type="text" onkeypress="return event.charCode >= 48" [(ngModel)]="StudentDetails.FatherContactNo" placeholder="Contact" name="Fnum" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Mother's Contact: </ion-label>
          <ion-input type="text" [(ngModel)]="StudentDetails.MotherContactNo" placeholder="Contact" name="Mnum" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Father's Email: </ion-label>
          <ion-input [(ngModel)]="StudentDetails.FatherEmail" placeholder="Email-id" name="fEm"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label>Mother's Email: </ion-label>
          <ion-input [(ngModel)]="StudentDetails.MotherEmail" placeholder="Email-Id" name="mEm"></ion-input>
        </ion-item>
      </ion-list>
    

   <ion-list>
    <ion-title>
      <h5>Academic Details</h5>
    </ion-title>
    <hr>
  
    <ion-item>
      <ion-label>Stream</ion-label>
      <ion-select name="Stream" [(ngModel)]="AcadamicDetails.Stream" required>
        <ion-select-option *ngFor="let c of StreamList" [value]="c.Id">{{ c.Name }}</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-item>
      <ion-label>Batch</ion-label>
      <ion-select name="Batch" [(ngModel)]="AcadamicDetails.Batch" required>
        <ion-select-option *ngFor="let c of BatchList" [value]="c.Id">{{ c.Name }}</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-item>
      <ion-label>Course</ion-label>
      <ion-select name="Course" [(ngModel)]="AcadamicDetails.Course" required>
        <ion-select-option *ngFor="let c of CourseList" [value]="c.Id">{{ c.Name }}</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-item>
      <ion-label>Other Programs</ion-label>
      <ion-select name="OtherPrograms" [(ngModel)]="AcadamicDetails.OtherPrograms">
        <ion-select-option *ngFor="let c of OtherProgramList" [value]="c.Id">{{ c.Name }}</ion-select-option>
      </ion-select>
    </ion-item>
   </ion-list>

    
 
   <ion-list>
    <ion-title>
      <h5>Lead Details</h5>
    </ion-title>
    <hr>
  
    <ion-item>
      <ion-label>Channel</ion-label>
      <ion-select name="Channel" [(ngModel)]="LeadDetails.Channel" required>
        <ion-select-option value="Telephone">Telephone</ion-select-option>
        <ion-select-option value="Reference">Reference</ion-select-option>
        <ion-select-option value="Direct">Direct</ion-select-option>
        <ion-select-option value="Ads">Ads</ion-select-option>
        <ion-select-option value="On-Line">On-Line</ion-select-option>
        <ion-select-option value="News Paper Ad">News Paper Ad</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-item>
      <ion-label>FollowUp Date:</ion-label>
      <ion-datetime displayFormat="MM/DD/YYYY" [(ngModel)]="LeadDetails.FollowupTime" name="Ftime"></ion-datetime>
    </ion-item>
  
    <ion-item>
      <ion-label>Admission Status</ion-label>
      <ion-select name="AdmissionStatus" [(ngModel)]="AcadamicDetails.AdmissionStatus" required>
        <ion-select-option *ngFor="let c of AdmissionStatuslist" [value]="c.Id">{{ c.Name }}</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-item>
      <ion-label>Assigned To</ion-label>
      <ion-select name="AssignedTo" [(ngModel)]="LeadDetails.AssignTo" required>
        <ion-select-option *ngFor="let c of EmployeeList" [value]="c.Id">{{ c.FirstName }} {{ c.MiddleName }} {{ c.LastName }}</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-button type="submit" [disabled]="!studentForm.form.valid" expand="full" (click)="SaveDetails()">Submit</ion-button>
   </ion-list>
  

   
    </form>
</ion-content>